package com.thebrokenrail.energonrelics.mixin;

import com.thebrokenrail.energonrelics.block.structure.StructureGeneratorBlock;
import net.minecraft.Bootstrap;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(Bootstrap.class)
public class MixinBootstrap {
    @Inject(at = @At("TAIL"), method = "initialize")
    private static void initialize(CallbackInfo info) {
        StructureGeneratorBlock.registerStructures();
    }
}
